List report recipients
Returns a paginated list of report recipients for the workspace. Supports search by name, email, or company.
curl -X GET "https://api.sendkit.ai/v1/reports/recipients?cursor=666f1a2b3c4d5e6f7a8b9c0d&limit=42&search=john" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.sendkit.ai/v1/reports/recipients?cursor=666f1a2b3c4d5e6f7a8b9c0d&limit=42&search=john"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/reports/recipients?cursor=666f1a2b3c4d5e6f7a8b9c0d&limit=42&search=john", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sendkit.ai/v1/reports/recipients?cursor=666f1a2b3c4d5e6f7a8b9c0d&limit=42&search=john", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/reports/recipients?cursor=666f1a2b3c4d5e6f7a8b9c0d&limit=42&search=john')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"_id": "666f1a2b3c4d5e6f7a8b9c20",
"name": "John Doe",
"email": "john@example.com",
"company": "Acme Inc",
"role": "VP Sales",
"reportType": "workspace",
"campaignIds": [],
"active": true,
"schedule": {
"enabled": true,
"frequency": "weekly",
"dayOfWeek": 1,
"timeOfDay": "09:00",
"timezone": "America/New_York",
"nextScheduledAt": "2026-04-21T09:00:00.000Z"
},
"totalReportsSent": 5,
"createdAt": "2026-03-01T10:00:00.000Z",
"updatedAt": "2026-04-14T09:00:00.000Z"
}
],
"pagination": {
"limit": 25,
"total": 1,
"hasMore": false,
"nextCursor": "666f1a2b3c4d5e6f7a8b9c20"
}
}
GET
/v1/reports/recipients
GET
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
query
cursorstring
Cursor for pagination — use the nextCursor value from the previous response to fetch the next page
query
limitinteger
Items per page (default 25, max 100)
Min: 1 • Max: 100
query
searchstring
Search recipients by name, email, or company (case-insensitive)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Query Parameters
cursorstring
Cursor for pagination — use the nextCursor value from the previous response to fetch the next page
limitinteger
Items per page (default 25, max 100)
searchstring
Search recipients by name, email, or company (case-insensitive)
Responses
successboolean
dataarray
_idstring
namestring
emailstring
companystring
rolestring
activeboolean
reportTypestring
Allowed values:
workspacecampaigncampaignIdsstring[]
scheduleobject
enabledboolean
frequencystring
Allowed values:
weeklybiweeklymonthlydayOfWeekinteger
dayOfMonthinteger
timeOfDaystring
timezonestring
nextScheduledAtstring
lastScheduledAtstring
slackChannelIdstring
totalReportsSentinteger
createdAtstring
updatedAtstring
paginationobject
limitinteger
totalinteger
hasMoreboolean
nextCursorstring
Was this page helpful?
Last updated today
Built with Documentation.AI